Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::v3::view::iota_fn Struct Reference

## Synopsis of methods
constexpr iota_fn | iota {}

## Public Member Functions
template<typename From , requires = (WeaklyIncrementable<From>())>
iota_view< From > | operator() (From value) const
template<typename From , typename To >
meta::if_c< WeaklyIncrementable< From >) &&WeaklyEqualityComparable< From, To >), meta::if_< meta::and_< RandomAccessIncrementable< From >, Same< From, To > >, detail::take_exactly_view_< iota_view< From >, true >, iota_view< From, To > > > | operator() (From from, To to) const